nxt.http.responses

## Class TaggedDataResponseImpl

- java.lang.Object
- - nxt.http.responses.TaggedDataResponseImpl

- All Implemented Interfaces:
    TaggedDataResponse

      public class TaggedDataResponseImpl
      extends java.lang.Object
      implements TaggedDataResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedDataResponseImpl(JO taggedDataJson)`
    `TaggedDataResponseImpl(org.json.simple.JSONObject response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccount()`
    `int` | `getBlockTimestamp()`
    `java.lang.String` | `getChannel()`
    `byte[]` | `getData()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getFilename()`
    `java.lang.String` | `getName()`
    `java.util.List<java.lang.String>` | `getParsedTags()`
    `java.lang.String` | `getTags()`
    `byte[]` | `getTransactionFullHash()`
    `int` | `getTransactionTimestamp()`
    `java.lang.String` | `getType()`
    `boolean` | `isText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaggedDataResponseImpl

          public TaggedDataResponseImpl(org.json.simple.JSONObject response)

    - #### TaggedDataResponseImpl

          public TaggedDataResponseImpl(JO taggedDataJson)

  - ### Method Detail

    - #### getTransactionFullHash

          public byte[] getTransactionFullHash()

      Specified by:
        `getTransactionFullHash` in interface `TaggedDataResponse`

    - #### getAccount

          public long getAccount()

      Specified by:
        `getAccount` in interface `TaggedDataResponse`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `TaggedDataResponse`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `TaggedDataResponse`

    - #### getTags

          public java.lang.String getTags()

      Specified by:
        `getTags` in interface `TaggedDataResponse`

    - #### getParsedTags

          public java.util.List<java.lang.String> getParsedTags()

      Specified by:
        `getParsedTags` in interface `TaggedDataResponse`

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `TaggedDataResponse`

    - #### getChannel

          public java.lang.String getChannel()

      Specified by:
        `getChannel` in interface `TaggedDataResponse`

    - #### getFilename

          public java.lang.String getFilename()

      Specified by:
        `getFilename` in interface `TaggedDataResponse`

    - #### isText

          public boolean isText()

      Specified by:
        `isText` in interface `TaggedDataResponse`

    - #### getData

          public byte[] getData()

      Specified by:
        `getData` in interface `TaggedDataResponse`

    - #### getTransactionTimestamp

          public int getTransactionTimestamp()

      Specified by:
        `getTransactionTimestamp` in interface `TaggedDataResponse`

    - #### getBlockTimestamp

          public int getBlockTimestamp()

      Specified by:
        `getBlockTimestamp` in interface `TaggedDataResponse`